package com.example.vaadinwindow;

import com.vaadin.server.FontAwesome;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.Button.ClickListener;
import com.vaadin.ui.Label;
import com.vaadin.ui.VerticalLayout;
import com.vaadin.ui.Window;

@SuppressWarnings("serial")
public class CustomWindow extends Window {

	public CustomWindow() {
		createWindow();
	}

	public CustomWindow(String caption) {
		super(caption);
		createWindow();
	}
	
	private void createWindow(){
		Label message = new Label("This is a message");
		Button close = new Button("Close",FontAwesome.CLOSE);
		close.addClickListener(new ClickListener() {
			
			@Override
			public void buttonClick(ClickEvent event) {
				close();
			}
		});
		VerticalLayout windowContent = new VerticalLayout();
		windowContent.setMargin(true);
		setContent(windowContent);
		windowContent.addComponent(message);
		windowContent.addComponent(close);
		setPosition(20, 150);
		setWidth("250px");
		setHeight("150px");
		setClosable(false);
		addStyleName("mywindowstyle");
		
	}

}
