package com.example.vaadinwindow;

import javax.servlet.annotation.WebServlet;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.HorizontalLayout;
import com.vaadin.ui.Label;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;
import com.vaadin.ui.Window;

@SuppressWarnings("serial")
@Theme("vaadinwindow")
public class VaadinwindowUI extends UI {

	@WebServlet(value = "/*", asyncSupported = true)
	@VaadinServletConfiguration(productionMode = false, ui = VaadinwindowUI.class, widgetset = "com.example.vaadinwindow.widgetset.VaadinwindowWidgetset")
	public static class Servlet extends VaadinServlet {
	}

	@Override
	protected void init(VaadinRequest request) {
		
		final HorizontalLayout layout = new HorizontalLayout();
		layout.setMargin(true);
		layout.setSpacing(true);
		setContent(layout);

		Button bModelessWindow = new Button("Modeless Window");
		bModelessWindow.addClickListener(new Button.ClickListener() {
			public void buttonClick(ClickEvent event) {
				CustomWindow customWindow = new CustomWindow("Custom Window");
				addWindow(customWindow);
			}
		});
		layout.addComponent(bModelessWindow);
		
		Button bModalWindow = new Button("Modal Window");
		bModalWindow.addClickListener(new Button.ClickListener() {
			public void buttonClick(ClickEvent event) {
				ModalWindow modalWindow = new ModalWindow();
				addWindow(modalWindow);
			}
		});
		layout.addComponent(bModalWindow);
		
		Window myWindow = new Window("My Window");
		VerticalLayout windowContent = new VerticalLayout();
		windowContent.setMargin(true);
		myWindow.setContent(windowContent);
		myWindow.setWidth("250px");
		windowContent.addComponent(new Label("This is a window"));
		myWindow.center();
		myWindow.addStyleName("mywindowstyle");
		addWindow(myWindow);
		
	}

}